Subject: Weekly github digest (HTTP Activity Summary)

From: Repository Activity Summary Bot <[email-masked]>
Date: Sun, 15 Aug 2021 07:34:18 +0000

Events without label "editorial"

Issues
------
* httpwg/http-core (+10/-4/💬6)
  10 issues created:
  - Section 13.2.1 (by royfielding)
    https://github.com/httpwg/http-core/issues/954 
  - Section 10.2.2 (by royfielding)
    https://github.com/httpwg/http-core/issues/953 
  - Section 7.3.3 (by royfielding)
    https://github.com/httpwg/http-core/issues/951 
  - Section 16.3.1 (by reschke)
    https://github.com/httpwg/http-core/issues/950 
  - Section 15.4`|  *Note:* In HTTP/1.0, the status codes 301 (Moved Permanently)|  and 302 (Found) were defined for the first type of redirect|  ([RFC1945], Section 9.3).  Early user agents split on whether|  the method applied to the redirect target would be the same as|  the original request or would be rewritten as GET.  Although|  HTTP originally defined the former semantics for 301 and 302|  (to match its original implementation at CERN), and defined 303|  (See Other) to match the latter semantics, prevailing practice|  gradually converged on the latter semantics for 301 and 302 as|  well.  The first revision of HTTP/1.1 added 307 (Temporary|  Redirect) to indicate the former semantics of 302 without being|  impacted by divergent practice.  For the same reason, 308|  (Permanent Redirect) was later on added in [RFC7538] to match|  301.  [...]` (by reschke)
    https://github.com/httpwg/http-core/issues/947 
  - Section 11.7.3 (by reschke)
    https://github.com/httpwg/http-core/issues/946 
  - Section 8.8.2.1 (by reschke)
    https://github.com/httpwg/http-core/issues/945 
  - Section 5.6.1.1 (by reschke)
    https://github.com/httpwg/http-core/issues/943 
  - Appendix B.4 (by mnot)
    https://github.com/httpwg/http-core/issues/942 [semantics] 
  - Section 12.5.5 (by royfielding)
    https://github.com/httpwg/http-core/issues/938 

  5 issues received 6 new comments:
  - #951 Refer to description of "http" and "https" direct access (1 by royfielding)
    https://github.com/httpwg/http-core/issues/951 
  - #946 Section 11.7.3: can Proxy-Authentication-Info be a trailer? (2 by reschke)
    https://github.com/httpwg/http-core/issues/946 [semantics] 
  - #942 Appendix B.4 (1 by mnot)
    https://github.com/httpwg/http-core/issues/942 [semantics] 
  - #932 More Permissive Syntax for "Accept-Encoding" (1 by reschke)
    https://github.com/httpwg/http-core/issues/932 [semantics] 
  - #914 Ben Kaduk's COMMENT on semantics (1 by mnot)
    https://github.com/httpwg/http-core/issues/914 [semantics] 

  4 issues closed:
  - Ben Kaduk's COMMENT on semantics https://github.com/httpwg/http-core/issues/914 [semantics] 
  - Appendix B.4 https://github.com/httpwg/http-core/issues/942 [semantics] 
  - Ben Kakuk's COMMENT on Messaging https://github.com/httpwg/http-core/issues/915 [h1-messaging] 
  - More Permissive Syntax for "Accept-Encoding" https://github.com/httpwg/http-core/issues/932 [semantics] 

* httpwg/http-extensions (+4/-4/💬6)
  4 issues created:
  - RFC6265bis: Standardize maximum Max-Age cookie attribute value/handling (by recvfrom)
    https://github.com/httpwg/http-extensions/issues/1600 
  - Roman's COMMENT on cache-header (by mnot)
    https://github.com/httpwg/http-extensions/issues/1598 [cache-header] 
  - Ben Kaduk's COMMENT on cache-header (by mnot)
    https://github.com/httpwg/http-extensions/issues/1597 [cache-header] 
  - Editorial: good (client cert) header field description in section 2 (by b---c)
    https://github.com/httpwg/http-extensions/issues/1596 [client-cert-field] 

  4 issues received 6 new comments:
  - #1598 Roman's COMMENT on cache-header (2 by kaduk, mnot)
    https://github.com/httpwg/http-extensions/issues/1598 [cache-header] 
  - #1593 RFC6265bis: Update 'Storage Model' to include more character set restrictions / processing (1 by recvfrom)
    https://github.com/httpwg/http-extensions/issues/1593 [6265bis] 
  - #1532 Multibase encoded Multihash for Digest Headers (1 by LPardue)
    https://github.com/httpwg/http-extensions/issues/1532 [digest-headers] 
  - #1531 RFC 6265bis: Truncating cookie values may enable attack (2 by recvfrom)
    https://github.com/httpwg/http-extensions/issues/1531 [6265bis] 

  4 issues closed:
  - Signature negotiation https://github.com/httpwg/http-extensions/issues/1207 [signatures] 
  - Multibase encoded Multihash for Digest Headers https://github.com/httpwg/http-extensions/issues/1532 [digest-headers] 
  - Éric Vyncke comments on cache-header https://github.com/httpwg/http-extensions/issues/1590 [cache-header] 
  - Ben Kaduk's COMMENT on cache-header https://github.com/httpwg/http-extensions/issues/1597 [cache-header] 

* httpwg/http2-spec (+8/-2/💬9)
  8 issues created:
  - Was the cipher suite list re-assembled? (by LPardue)
    https://github.com/httpwg/http2-spec/issues/897 
  - Does the HEADERS Padding field have the same requirements as DATA? (by LPardue)
    https://github.com/httpwg/http2-spec/issues/896 
  - nit: is h2c spec'd or not (by LPardue)
    https://github.com/httpwg/http2-spec/issues/892 
  - The reports of HTTP/1.1's negative performance are possibly exaggerated (by LPardue)
    https://github.com/httpwg/http2-spec/issues/890 
  - Do you still need to state HTTP semantics remain unchanged? (by LPardue)
    https://github.com/httpwg/http2-spec/issues/889 
  - conventions: cite [RFC8174] (by reschke)
    https://github.com/httpwg/http2-spec/issues/887 
  - introduction: "fields" instead of "header fields" (by reschke)
    https://github.com/httpwg/http2-spec/issues/886 
  - Introduction should ref HTTP spec (by reschke)
    https://github.com/httpwg/http2-spec/issues/885 

  5 issues received 9 new comments:
  - #897 Was the cipher suite list re-assembled? (1 by martinthomson)
    https://github.com/httpwg/http2-spec/issues/897 
  - #896 Does the HEADERS Padding field have the same requirements as DATA? (3 by LPardue, Lukasa)
    https://github.com/httpwg/http2-spec/issues/896 
  - #892 nit: is h2c spec'd or not (2 by martinthomson)
    https://github.com/httpwg/http2-spec/issues/892 
  - #890 The reports of HTTP/1.1's negative performance are possibly exaggerated (2 by LPardue, martinthomson)
    https://github.com/httpwg/http2-spec/issues/890 
  - #889 Do you still need to state HTTP semantics remain unchanged? (1 by martinthomson)
    https://github.com/httpwg/http2-spec/issues/889 

  2 issues closed:
  - Do you still need to state HTTP semantics remain unchanged? https://github.com/httpwg/http2-spec/issues/889 
  - conventions: cite [RFC8174] https://github.com/httpwg/http2-spec/issues/887 

Pull requests
-------------
* httpwg/http-core (+2/-1/💬2)
  2 pull requests submitted:
  - split when to use validators into other sections (by royfielding)
    https://github.com/httpwg/http-core/pull/956 [semantics] [caching] 
  - Re-introduce what to do without a mod date (by mnot)
    https://github.com/httpwg/http-core/pull/949 

  1 pull requests received 2 new comments:
  - #956 split when to use validators into other sections (2 by royfielding)
    https://github.com/httpwg/http-core/pull/956 [semantics] [caching] 

  1 pull requests merged:
  - Re-introduce what to do without a mod date
    https://github.com/httpwg/http-core/pull/949 

* httpwg/http-extensions (+5/-4/💬6)
  5 pull requests submitted:
  - Update RFC6265bis changelog to mention HTAB change (by recvfrom)
    https://github.com/httpwg/http-extensions/pull/1603 
  - Release Signatures 06 (by jricher)
    https://github.com/httpwg/http-extensions/pull/1602 
  - Reorient the text to the HTTP/2bis spec (by LPardue)
    https://github.com/httpwg/http-extensions/pull/1601 
  - Updated Signature Language (by jricher)
    https://github.com/httpwg/http-extensions/pull/1599 
  - Editorial suggestions from Benjamin Kaduk's IESG Evaluation (cache-header) (by kaduk)
    https://github.com/httpwg/http-extensions/pull/1595 

  4 pull requests received 6 new comments:
  - #1595 Editorial suggestions from Benjamin Kaduk's IESG Evaluation (cache-header) (1 by mnot)
    https://github.com/httpwg/http-extensions/pull/1595 [cache-header] 
  - #1594 Add "Accept-Signature" header definition (1 by jricher)
    https://github.com/httpwg/http-extensions/pull/1594 [signatures] 
  - #1592 RFC6265bis: Improve handling of nameless cookies when serializing (1 by sbingler)
    https://github.com/httpwg/http-extensions/pull/1592 
  - #1587 Add examples with Content-Digest (3 by LPardue, ioggstream)
    https://github.com/httpwg/http-extensions/pull/1587 [digest-headers] 

  4 pull requests merged:
  - Release Signatures 06
    https://github.com/httpwg/http-extensions/pull/1602 [signatures] 
  - Updated Signature Language
    https://github.com/httpwg/http-extensions/pull/1599 [signatures] 
  - Add "Accept-Signature" header definition
    https://github.com/httpwg/http-extensions/pull/1594 [signatures] 
  - Editorial suggestions from Benjamin Kaduk's IESG Evaluation (cache-header)
    https://github.com/httpwg/http-extensions/pull/1595 [cache-header] 

* httpwg/http2-spec (+7/-3/💬8)
  7 pull requests submitted:
  - Make introduction more objective (by LPardue)
    https://github.com/httpwg/http2-spec/pull/899 
  - Explicitly state HEADERS and PUSH_PROMISE padding reqs (by LPardue)
    https://github.com/httpwg/http2-spec/pull/898 
  - Remove stale reference to "?" in diagram (by LPardue)
    https://github.com/httpwg/http2-spec/pull/895 
  - Avoid h2c awkwardness (by LPardue)
    https://github.com/httpwg/http2-spec/pull/894 
  - missing comma (by LPardue)
    https://github.com/httpwg/http2-spec/pull/893 
  - fix #889 (by LPardue)
    https://github.com/httpwg/http2-spec/pull/891 
  - Mostly just fields (by martinthomson)
    https://github.com/httpwg/http2-spec/pull/888 

  2 pull requests received 8 new comments:
  - #894 Avoid h2c awkwardness (1 by LPardue)
    https://github.com/httpwg/http2-spec/pull/894 
  - #884 Prohibit duplicate pseudo-headers in requests. (7 by Lukasa, martinthomson, nharper)
    https://github.com/httpwg/http2-spec/pull/884 

  3 pull requests merged:
  - fix #889
    https://github.com/httpwg/http2-spec/pull/891 
  - missing comma
    https://github.com/httpwg/http2-spec/pull/893 
  - Mostly just fields
    https://github.com/httpwg/http2-spec/pull/888 

Repositories tracked by this digest:
-----------------------------------
* https://github.com/httpwg/http-core
* https://github.com/httpwg/http-extensions
* https://github.com/httpwg/http2-spec